//
//  SampleTableViewController.m
//  QMBParallaxScrollView-Sample
//
//  Created by Toni Möckel on 03.11.13.
//  Copyright (c) 2013 Toni Möckel. All rights reserved.
//

#import "SampleTableViewController.h"

@interface SampleTableViewController (){
    NSArray *_data;
}

@end

@implementation SampleTableViewController



- (void)viewDidLoad
{
    [super viewDidLoad];
    
    self.scrollView.translatesAutoresizingMaskIntoConstraints = NO;
    self.tableView.translatesAutoresizingMaskIntoConstraints = NO;

    _data = @[@[@{@"name":@"Map Sample"}],@[@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"},@{@"name":@"Gallery Sample"}]];
    
    
    [self setNeedsStatusBarAppearanceUpdate];
    
    [self.tableView reloadData];
}

- (UIStatusBarStyle)preferredStatusBarStyle{
    return UIStatusBarStyleLightContent;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return [_data count];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [[_data objectAtIndex:section] count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    
    [cell.textLabel setText:[[[_data objectAtIndex:indexPath.section] objectAtIndex:indexPath.row] objectForKey:@"name"]];
    
    return cell;
}

- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section{
    return @"Section";
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    
    UIViewController *controller;
    if (indexPath.section == 0){
        controller = [self.storyboard instantiateViewControllerWithIdentifier:@"ParallaxMapViewController"];
        
    }else {
        controller = [self.storyboard instantiateViewControllerWithIdentifier:@"ParallaxPhotoViewController"];
    }
    
    [self presentViewController:controller animated:YES completion:nil];
    
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

/*
#pragma mark - Navigation

// In a story board-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}

 */

- (UIScrollView *)scrollViewForParallexController{
    return self.tableView;
}

@end
